Bug 55445 - php fails to rebuild
php fails to rebuild
Product: Red Hat Raw Hide
Classification: Retired
Component: autoconf (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Brian Brock
: 56475 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-10-31 08:04 EST by Bernhard Rosenkraenzer
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-28 03:25:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernhard Rosenkraenzer 2001-10-31 08:04:57 EST
Description of Problem:
./buildconf in the php source tree fails when trying to generate the
configure script.

aclocal.m4:814: error: m4_defn: undefined macro: _m4_divert_diversion
aclocal.m4:360: PHP_SUBST is expanded from...
aclocal.m4:814: the top level

The aclocal.m4 code looks ok, though, and the maintainers say it's working
with stock autoconf 2.52.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1.  rpm --rebuild php-4.0.6-9.src.rpm
Comment 1 Jens Petersen 2001-11-01 03:56:50 EST
Well, autoconf-2.52-1 is stock autoconf AFAIK (there are no patches applied
anyway), but I can reproduce it perfectly with 2.52-1 too.
Comment 2 Jens Petersen 2001-11-28 03:25:46 EST
*** Bug 56475 has been marked as a duplicate of this bug. ***
Comment 3 Jens Petersen 2001-12-21 04:19:08 EST
Can't reproduce this any longer with the current autotools (autoconf-2.52-5,
automake-1.5-1 and libtool-1.4.2-3).

Note You need to log in before you can comment on or make changes to this bug.